Subject: [mobile-ip] backward compatibility

From: Keiichi SHIMA / 島慶一 <[email-masked]>
Date: Mon, 15 Apr 2002 10:59:31 +0900 (JST)

Hi,

I have a question about the backward(?) compatibility issue of MIP6.

Some OSes are being shipped with a minimum CN function today.  They
understand HAO option and process it as described in the ID-15 or
before.

Now we have ID-16 (and soon ID-17), that prohibits processing HAO
option without BCEs.  The new draft doesn't mention how to handle the
old MIP6 nodes, and of cource, the old MIP6 nodes know nothing about
the new spec.  They are potentially reflection attackers.  How should
we do?  Can we just ignore them and wait the vendors to support new
MIP6 features?

---
Keiichi SHIMA
IIJ Research Laboratory <[email-masked]>
KAME Project <[email-masked]>